Bug 458607 - dependency on the cppunit testing framework
dependency on the cppunit testing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: subtitleeditor (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-10 17:08 EDT by Lubos Stanek
Modified: 2008-09-24 20:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Stanek 2008-08-10 17:08:56 EDT
Description of problem:
The package build dependencies include cppunit-devel. The application is built with the unit testing code included but the build script does not check the code in any way. Should the end user check it?

Version-Release number of selected component (if applicable): 0.21.3

How reproducible: See the .spec file.

Additional info:
The unit testing code is designed for developers to verify the code. I do not think that it should be included in the release build.
Comment 1 Lubos Stanek 2008-08-19 07:26:01 EDT
What info do you want?

The unit testing code is designed for the developer to check whether the application works as designed with different subtitle formats. It uses sample test files from the source subdirectory. The internal debug functions are more than necessary for testing.

Building the application with testing code is possible but it is useless. No end user will ever use it. It does not work without test files and they are not packaged in. It only expands the size of the target executable.

Is it enough information for the decision to remove the offending configure switch from the spec file?
Comment 2 Martin Sourada 2008-08-19 07:44:22 EDT
Ah, OK, I'll fix this in next release (I am waiting for infrastructure guys to get everything working again). Thanks for filling the bug and providing the info :) IIRC, I initially added the switch as per suggestion from the package reviewer...
Comment 3 Lubos Stanek 2008-08-19 16:51:35 EDT
Good to read that. :-)
Do not forget to remove both the configure switch and the appropriate BuildRequires.

It would be useable when the unit test code would be built as a standalone binary and used in the make check. Probably it was the reviewer's idea.

Thanks for packaging it for Fedora users.
Comment 4 Fedora Update System 2008-08-25 12:09:42 EDT
subtitleeditor-0.22.3-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/subtitleeditor-0.22.3-1.fc8
Comment 5 Fedora Update System 2008-09-10 02:55:54 EDT
subtitleeditor-0.22.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subtitleeditor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7582
Comment 6 Fedora Update System 2008-09-10 03:12:18 EDT
subtitleeditor-0.22.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subtitleeditor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7399
Comment 7 Fedora Update System 2008-09-24 20:08:54 EDT
subtitleeditor-0.22.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-24 20:27:57 EDT
subtitleeditor-0.22.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.